# cascading.tuple

## Interfaces

- Comparison
- Hasher
- StreamComparator

## Classes

- Fields
- Tuple
- TupleChainIterable
- TupleChainIterator
- TupleEntry
- TupleEntryChainIterator
- TupleEntryCollector
- TupleEntryIterableChainIterator
- TupleEntryIterator
- TupleEntrySchemeCollector
- TupleEntrySchemeIterator
- TupleEntrySchemeIteratorProps
- Tuples

## Exceptions

- FieldsResolverException
- TupleException